### About

This module allows to store data per entity.

### Installation

1) composer require drupal/entity_data

2) drush en entity_data

### Usage

This module does not require any configuration. To manipulate data you need to use **'entity.data'** service

#### Store data

Template:
```
\Drupal::service('entity.data')->set('[YOUR_MODULE]', [ENTITY_ID], '[NAME_OF_CUSTOM_DATA]', '[ENTITY_TYPE]', [VALUE]);
```

Example:
```
\Drupal::service('entity.data')->set('ex_group', 1, 'send_notifications', 'group', TRUE);
```

#### Fetch data

Template:
```
\Drupal::service('entity.data')->get('[YOUR_MODULE]', [ENTITY_ID], '[NAME_OF_CUSTOM_DATA]', '[ENTITY_TYPE]');
```

Example:
```
$send_notidications = \Drupal::service('entity.data')->get('ex_group', 1, 'send_notifications', 'group');
```

#### Delete data

Template:
```
\Drupal::service('entity.data')->delete('[YOUR_MODULE]', [ENTITY_ID], '[NAME_OF_CUSTOM_DATA]', '[ENTITY_TYPE]');
```

Example:
```
\Drupal::service('entity.data')->delete('ex_group', 1, 'send_notifications', 'group');
```


### Maintainers

* Nikolay Lobachev https://www.drupal.org/u/lobsterr
* Tom McCracken https://www.drupal.org/u/tomdude48

