<?php

/**
 * @file
 * Hooks for entity_data.views.inc.
 */

use Drupal\Core\Entity\ContentEntityType;

/**
 * Implements hook_views_data().
 */
function entity_data_views_data() {
  $data = [];

  $entity_type_definations = \Drupal::entityTypeManager()->getDefinitions();
  foreach ($entity_type_definations as $definition) {
    if ($definition instanceof ContentEntityType && !empty($definition->getBaseTable())) {
      $data[$definition->getBaseTable()]['entity_data'] = [
        'title' => t('@entity entity data', [
          '@entity' => $definition->getLabel()->render(),
        ]),
        'help' => t('Provides access to the entity data service.'),
        'real field' => $definition->getKey('id'),
        'field' => [
          'id' => 'entity_data',
        ],
      ];
    }
  }

  return $data;
}
